Name:       BAT
Version:    1.0.0
Release:    1%{?dist}
Summary:    BAT - Bayesian Analysis Toolkit

License:    LGPL v3
URL:        https://bat.mpp.mpg.de/
Source:     http://github.com/bat/bat/releases/download/v1.0.0/BAT-%{version}.tar.gz
Prefix: %{_prefix}

BuildRoot:        %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:    cuba-devel
BuildRequires:    gcc-c++
BuildRequires:    root-core
BuildRequires:    root-hist
BuildRequires:    root-io
BuildRequires:    root-tree
Requires:         cuba  root-core root-hist root-io root-tree


%description
The Bayesian Analysis Toolkit, BAT, is a software package which addresses the 
points above. It is designed to help solve statistical problems encountered 
in Bayesian inference. BAT is based on Bayes' Theorem and is realized with 
the use of Markov Chain Monte Carlo. This gives access to the full posterior 
probability distribution and enables straightforward parameter estimation, 
limit setting and uncertainty propagation. 


%prep
%setup -q

%build
%configure --with-cuba=/usr/include 

make %{?_smp_mflags} 

%install

make %{?_smp_mflags} install DESTDIR=%{?buildroot}

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%{_bindir}/*
%{_libdir}/*
%{_includedir}/*
/usr/share/BAT/*

%changelog
* Fri Nov 29 2019 Andrii Verbytskyi 1.0.0
+ 1.0.0 Initial BAT spec
